Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79698 - Lack of example code for gnome2 development
Summary: Lack of example code for gnome2 development
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-user-docs
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: GnomeUpstream
TreeView+ depends on / blocked
 
Reported: 2002-12-15 16:13 UTC by Jan Moren
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-13 02:07:48 UTC


Attachments (Terms of Use)

Description Jan Moren 2002-12-15 16:13:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021208
Phoenix/0.5

Description of problem:
The gnome2 platform is an excellent one for development. Unfortunately the
redhat distribution of it suffers needlessly from a lack of documentation and
example code. While examples are present in the gnome cvs, they seem not to be
shipped with the redhat devel rpm:s. Also, what documentation exists is not
collected in a way that makes it reasonably easy to find and browse. This
presents an unnecessary obstacle for developers on the platform.

My suggestion is that a couple of additional rpm:s (like 'gnome-examples' and
'gnome-devel-docs') be distributed as part of a gnome installation, containing
relevant example code and docs from the gnome cvs.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Look for examples/docs
2. do not find it.
3.
    

Actual Results:  Did not find it.

Expected Results:  Should have found it.

Additional info:

Comment 1 Havoc Pennington 2002-12-15 18:43:23 UTC
We include everything that comes with GNOME, I think that's appropriate.
e.g. our GTK packages come with docs. Start browsing under /usr/share/gtk-doc/html/



Comment 2 Jan Moren 2002-12-15 19:00:07 UTC
Um, no, not quite. To take one (for me current) example, the libgnomecanvas demo
application source (which resides in the 'demos' subdirectory of libcanvas cvs)
is not included. 


Comment 3 Havoc Pennington 2002-12-15 19:57:31 UTC
If upstream installs it, we'll install it. If the tarball doesn't install 
those demos we don't install them either. This is IMO appropriate, 
there's nothing Red Hat specific about installing demos.

We do of course include the demos in the SRPM, assuming they come with the tarball.

Comment 4 Havoc Pennington 2002-12-16 18:21:27 UTC
Changing to MoveUpstream keyword instead of GnomeUpstream tracking bug.
sorry about the spam.

Comment 5 Havoc Pennington 2003-01-13 02:07:48 UTC
Moved to http://bugzilla.gnome.org/show_bug.cgi?id=103245


Note You need to log in before you can comment on or make changes to this bug.